GNU bug report logs - #24841
Cross-building bootstrap binaries fail in current master

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ludo@HIDDEN (Ludovic Courtès); dated Mon, 31 Oct 2016 22:00:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 24841 <at> debbugs.gnu.org:


Received: (at 24841) by debbugs.gnu.org; 27 Feb 2018 23:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 18:36:29 2018
Received: from localhost ([127.0.0.1]:36146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqonM-0005sv-Tu
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 18:36:29 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:55780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eqonK-0005sm-KX
 for 24841 <at> debbugs.gnu.org; Tue, 27 Feb 2018 18:36:27 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 91C03DB1C;
 Wed, 28 Feb 2018 00:36:25 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id F-VJVN6WfoKt; Wed, 28 Feb 2018 00:36:24 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 875DACA23;
 Wed, 28 Feb 2018 00:36:24 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#24841: Status: Cross-building bootstrap binaries fail in
 current master
References: <87k2conpsp.fsf@HIDDEN>
 <87a7w18ifv.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 28 Feb 2018 00:36:23 +0100
In-Reply-To: <87a7w18ifv.fsf@HIDDEN>
 (Chris Marusich's message of "Thu, 22 Feb 2018 10:47:16 +0100")
Message-ID: <87k1uyuhs8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24841
Cc: bug#24841 <24841 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Thanks for testing and providing a clear summary!

Chris Marusich <cmmarusich@HIDDEN> skribis:

> * aarch64, arm, i686: For all of these targets, bootstrap-tarballs fails
>   because grep@HIDDEN fails.  grep@HIDDEN fails because of errors like the
>   following:
>
> make[2]: Entering directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1/src'
>   CC       dfasearch.o
>   CC       grep.o
>   CC       kwsearch.o
>   CC       kwset.o
>   CC       pcresearch.o
>   CC       searchutils.o
>   GEN      egrep
>   GEN      fgrep
>   CCLD     grep
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `sljit_free_exec':
> (.text+0x64d): undefined reference to `pthread_mutex_lock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `sljit_free_exec':
> (.text+0x6ac): undefined reference to `pthread_mutex_unlock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `sljit_generate_code':
> (.text+0x73e4): undefined reference to `pthread_mutex_lock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `sljit_generate_code':
> (.text+0x74b0): undefined reference to `pthread_mutex_unlock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `sljit_generate_code':
> (.text+0x7847): undefined reference to `pthread_mutex_unlock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `pcre_jit_free_unused_memory':
> (.text+0x2462a): undefined reference to `pthread_mutex_lock'
> /gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpc=
re_la-pcre_jit_compile.o): In function `pcre_jit_free_unused_memory':
> (.text+0x24692): undefined reference to `pthread_mutex_unlock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_lock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthre=
ad_mutex_lock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_unlock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_lock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthre=
ad_mutex_lock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_unlock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_lock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthre=
ad_mutex_lock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_unlock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_lock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthre=
ad_mutex_lock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_unlock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_lock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthre=
ad_mutex_lock'
> /gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-=
gnu-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-d=
ip.o): In function `__gthread_mutex_unlock':
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> /tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-u=
nknown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthre=
ad_mutex_unlock'
> collect2: error: ld returned 1 exit status
> make[2]: *** [Makefile:1317: grep] Error 1
> make[2]: Leaving directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1/src'
> make[1]: *** [Makefile:1301: all-recursive] Error 1
> make[1]: Leaving directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1'
> make: *** [Makefile:1242: all] Error 2
> phase `build' failed after 14.3 seconds
> builder for `/gnu/store/db1xy331abifx0r2jbi6q9zcbcmhf1b1-grep-3.1.drv' fa=
iled with exit code 1

Commit 29d37e999c495431eafde90027d2b97b16d0db4e fixes this one:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build --target=3Daarch64-unknown-linux-gnu bootstrap-=
tarballs=20
/gnu/store/yai6wip6qcqgwlxwgvfqwab8gi9yks1s-bootstrap-tarballs-0
$ git describe
v0.14.0-2653-g29d37e999
--8<---------------cut here---------------end--------------->8---

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#24841; Package guix. Full text available.

Message received at 24841 <at> debbugs.gnu.org:


Received: (at 24841) by debbugs.gnu.org; 22 Feb 2018 09:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 22 04:47:32 2018
Received: from localhost ([127.0.0.1]:55287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eonTP-0005hN-Pk
	for submit <at> debbugs.gnu.org; Thu, 22 Feb 2018 04:47:32 -0500
Received: from mail-io0-f172.google.com ([209.85.223.172]:45254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1eonTN-0005h9-KU
 for 24841 <at> debbugs.gnu.org; Thu, 22 Feb 2018 04:47:30 -0500
Received: by mail-io0-f172.google.com with SMTP id m22so5348417iob.12
 for <24841 <at> debbugs.gnu.org>; Thu, 22 Feb 2018 01:47:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:in-reply-to:message-id:user-agent:mime-version;
 bh=ioMDur+Vb1B3/npAm4lwVV/815Ke9VCaofQ+iw0TF7Q=;
 b=uyJX0QLcZwvouY6ia1Uwqjdlv0eu4hBwNZfUzIiSKuQUDXCQnB7WkiDp4Zd7gIFvWe
 AfKSunMppYTIRc0D+u464Mg/lRAXNQ8Hb7vPx1TewiAmzgG9I0dcNpNghwotWu1ielI2
 KCg9CnQ1Ez2blBJqDvuLVWtK0RHwSIcQrQLego0+J0986U/WJ7sToG85oCrzfEJnEpxo
 J4c01aPE7+7TOGGL/eEV83dGo1Izcldz7TNcWQvvOZo4lrnRNi9o5Lz8Sd7Hpuq+pOjr
 LrfkcQbMJ1dUFlfwkokzrWpIjWo+MBVLZ+h0uUd2qFNDxt4WMjKBLtbq7IXxMJ+V2X3G
 xNfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ioMDur+Vb1B3/npAm4lwVV/815Ke9VCaofQ+iw0TF7Q=;
 b=RMehAlwaTsp5WDKuBMckf4lB8h1CCUcI5uhia0uQouHUifIyXv50JvnSVUuO0RPojz
 3g1vbzpJ+3RF1dUKthMyO5yZtF6l1HsAPkm+QlfXL1PkZUH55qFpMiSUXou6PwGRCuUB
 KLJUki48dWBTAwMzyK7p5RFFan28B2wq7jzJk1OPxhdjgSO6PuR0JvtH3j9+p+hrqZTn
 E6mOFPRKei3FG5chLqTRMrj6mnOxSnsIqmkBmJOO6SvNGlt+C8DcL8XgBWk1OzNdakad
 7by51DTEZHHtCk+EG0BoqZrsZZ74eJcL3JbMYKFWRAdZbEPsJbGuHbXn1sheWSD3dExu
 0aKg==
X-Gm-Message-State: APf1xPAYnhsf2xMHdOG2qGMrKS4I9yoZ1BNn55Zb1PB92MXf8rdLY6mo
 q0MjXs/TM4aLXxbGG1nQhSfaOg==
X-Google-Smtp-Source: AH8x226/tIRpmjkvFnwXjHMjCV2hPs86RkTtM7Sb2meyq4Mx94Bzkg07MJ7jAKh8ZkbRRt9iGyeAmA==
X-Received: by 10.107.179.70 with SMTP id c67mr7790906iof.220.1519292843126;
 Thu, 22 Feb 2018 01:47:23 -0800 (PST)
Received: from garuda.local (c-24-18-253-84.hsd1.wa.comcast.net.
 [24.18.253.84])
 by smtp.gmail.com with ESMTPSA id e8sm5309390iob.48.2018.02.22.01.47.21
 for <24841 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 22 Feb 2018 01:47:21 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
X-Google-Original-From: Chris Marusich <marusich@HIDDEN>
To: bug#24841 <24841 <at> debbugs.gnu.org>
Subject: Re: Status: Cross-building bootstrap binaries fail in current master
Date: Thu, 22 Feb 2018 10:47:16 +0100
In-Reply-To: bug's message of "Thu\, 22 Feb 2018 09\:10\:04 +0000"
Message-ID: <87a7w18ifv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24841
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi,

The core-updates branch has been merged into master.  As of
5ce3f93bc52280c7c2b1b96097e8cd4a62b53bb0 (committed on 2018/02/18),
which is after the merge, the following builds PASS or FAIL when run on
an x86_64-linux GuixSD system:

FAIL:  aarch64-unknown-linux-gnu    bootstrap-tarballs  grafts
FAIL:  aarch64-unknown-linux-gnu    bootstrap-tarballs  no-grafts
PASS:  aarch64-unknown-linux-gnu    guile-static        grafts
PASS:  aarch64-unknown-linux-gnu    guile-static        no-grafts
FAIL:  arm-unknown-linux-gnueabihf  bootstrap-tarballs  grafts
FAIL:  arm-unknown-linux-gnueabihf  bootstrap-tarballs  no-grafts
PASS:  arm-unknown-linux-gnueabihf  guile-static        grafts
PASS:  arm-unknown-linux-gnueabihf  guile-static        no-grafts
FAIL:  i686-unknown-linux-gnu       bootstrap-tarballs  grafts
FAIL:  i686-unknown-linux-gnu       bootstrap-tarballs  no-grafts
PASS:  i686-unknown-linux-gnu       guile-static        grafts
PASS:  i686-unknown-linux-gnu       guile-static        no-grafts
FAIL:  mips64el-unknown-linux-gnu   bootstrap-tarballs  grafts
FAIL:  mips64el-unknown-linux-gnu   bootstrap-tarballs  no-grafts
PASS:  mips64el-unknown-linux-gnu   guile-static        grafts
PASS:  mips64el-unknown-linux-gnu   guile-static        no-grafts
FAIL:  x86_64-unknown-linux-gnu     bootstrap-tarballs  grafts
FAIL:  x86_64-unknown-linux-gnu     bootstrap-tarballs  no-grafts
FAIL:  x86_64-unknown-linux-gnu     guile-static        grafts
FAIL:  x86_64-unknown-linux-gnu     guile-static        no-grafts

Here, PASS means it builds successfully.  FAIL means it did not.  The
second column is the target, the third column is the package, and the
fourth column is whether or not grafts were enabled.  Note that
"guile-static" is short-hand for "-e '(@@ (gnu packages make-bootstrap)
%guile-static)'".  So, for example, the first row means that the
following command failed when I tried it:

    ./pre-inst-env guix build --target=3Daarch64-unknown-linux-gnu \
        bootstrap-tarballs

The failures can be grouped as follows:

* aarch64, arm, i686: For all of these targets, bootstrap-tarballs fails
  because grep@HIDDEN fails.  grep@HIDDEN fails because of errors like the
  following:

=2D-8<---------------cut here---------------start------------->8---
make[2]: Entering directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1/src'
  CC       dfasearch.o
  CC       grep.o
  CC       kwsearch.o
  CC       kwset.o
  CC       pcresearch.o
  CC       searchutils.o
  GEN      egrep
  GEN      fgrep
  CCLD     grep
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `sljit_free_exec':
(.text+0x64d): undefined reference to `pthread_mutex_lock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `sljit_free_exec':
(.text+0x6ac): undefined reference to `pthread_mutex_unlock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `sljit_generate_code':
(.text+0x73e4): undefined reference to `pthread_mutex_lock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `sljit_generate_code':
(.text+0x74b0): undefined reference to `pthread_mutex_unlock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `sljit_generate_code':
(.text+0x7847): undefined reference to `pthread_mutex_unlock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `pcre_jit_free_unused_memory':
(.text+0x2462a): undefined reference to `pthread_mutex_lock'
/gnu/store/p2b76bgsx5pkpc59fvxmkfz47502awg5-pcre-8.41/lib/libpcre.a(libpcre=
_la-pcre_jit_compile.o): In function `pcre_jit_free_unused_memory':
(.text+0x24692): undefined reference to `pthread_mutex_unlock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_lock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthread=
_mutex_lock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_unlock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_lock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthread=
_mutex_lock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_unlock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_lock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthread=
_mutex_lock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_unlock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_lock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthread=
_mutex_lock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_unlock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_lock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:748: undefined reference to `pthread=
_mutex_lock'
/gnu/store/spfsrm8cqxh7qs8j76ml6x989z2hy49y-gcc-cross-i686-unknown-linux-gn=
u-5.5.0/lib/gcc/i686-unknown-linux-gnu/5.5.0/libgcc_eh.a(unwind-dw2-fde-dip=
.o): In function `__gthread_mutex_unlock':
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
/tmp/guix-build-gcc-cross-i686-unknown-linux-gnu-5.5.0.drv-0/build/i686-unk=
nown-linux-gnu/libgcc/./gthr-default.h:778: undefined reference to `pthread=
_mutex_unlock'
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:1317: grep] Error 1
make[2]: Leaving directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1/src'
make[1]: *** [Makefile:1301: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-grep-3.1.drv-0/grep-3.1'
make: *** [Makefile:1242: all] Error 2
phase `build' failed after 14.3 seconds
builder for `/gnu/store/db1xy331abifx0r2jbi6q9zcbcmhf1b1-grep-3.1.drv' fail=
ed with exit code 1
=2D-8<---------------cut here---------------end--------------->8---

* mips64el: bootstrap-tarballs fails because pcre@HIDDEN fails.  pcre@HIDDEN
  fails because of the following error:

=2D-8<---------------cut here---------------start------------->8---
make[1]: Entering directory '/tmp/guix-build-pcre-8.41.drv-0/pcre-8.41'
  CC       libpcre_la-pcre_compile.lo
  CC       libpcre_la-pcre_byte_order.lo
  CC       libpcre_la-pcre_config.lo
  CC       libpcre_la-pcre_dfa_exec.lo
  CC       libpcre_la-pcre_exec.lo
  CC       libpcre_la-pcre_fullinfo.lo
  CC       libpcre_la-pcre_get.lo
  CC       libpcre_la-pcre_globals.lo
  CC       libpcre_la-pcre_jit_compile.lo
In file included from sljit/sljitLir.c:1747:0,
                 from pcre_jit_compile.c:62:
sljit/sljitNativeMIPS_common.c: In function ?sljit_has_cpu_feature?:
sljit/sljitNativeMIPS_common.c:506:3: error: a label can only be part of a =
statement and a declaration is not a statement
   sljit_sw fir;
   ^
make[1]: *** [Makefile:1730: libpcre_la-pcre_jit_compile.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/tmp/guix-build-pcre-8.41.drv-0/pcre-8.41'
make: *** [Makefile:1322: all] Error 2
phase `build' failed after 29.4 seconds
builder for `/gnu/store/16sgy03d1f21qkn8895nq8ddpa7a14vz-pcre-8.41.drv' fai=
led with exit code 1
=2D-8<---------------cut here---------------end--------------->8---

* x86_64: I'm not sure if it makes sense to cross-compile for x86_64 on
  an x86_64 system, but I tried it anyway, and bootstrap-tarballs and
  guile-static both fail because of an error like the following:

=2D-8<---------------cut here---------------start------------->8---
g++   -g -O2 -DIN_GCC    -fno-exceptions -fno-rtti -fasynchronous-unwind-ta=
bles -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wno-format -Wmiss=
ing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-var=
iadic-macros -Wno-overlength-strings -fno-common  -DHAVE_CONFIG_H -static-l=
ibstdc++ -static-libgcc  -o cc1 c/c-lang.o c-family/stub-objc.o attribs.o c=
/c-errors.o c/c-decl.o c/c-typeck.o c/c-convert.o c/c-aux-info.o c/c-objc-c=
ommon.o c/c-parser.o c/c-array-notation.o c-family/c-common.o c-family/c-cp=
pbuiltin.o c-family/c-dump.o c-family/c-format.o c-family/c-gimplify.o c-fa=
mily/c-lex.o c-family/c-omp.o c-family/c-opts.o c-family/c-pch.o c-family/c=
-ppoutput.o c-family/c-pragma.o c-family/c-pretty-print.o c-family/c-semant=
ics.o c-family/c-ada-spec.o c-family/c-cilkplus.o c-family/array-notation-c=
ommon.o c-family/cilk.o c-family/c-ubsan.o i386-c.o glibc-c.o \
  cc1-checksum.o libbackend.a main.o tree-browser.o libcommon-target.a libc=
ommon.a ../libcpp/libcpp.a ../libdecnumber/libdecnumber.a libcommon.a ../li=
bcpp/libcpp.a   ../libbacktrace/.libs/libbacktrace.a ../libiberty/libiberty=
.a ../libdecnumber/libdecnumber.a  -lisl -lmpc -lmpfr -lgmp -rdynamic -ldl =
 -lz
g++   -g -O2 -DIN_GCC    -fno-exceptions -fno-rtti -fasynchronous-unwind-ta=
bles -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wno-format -Wmiss=
ing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-var=
iadic-macros -Wno-overlength-strings -fno-common  -DHAVE_CONFIG_H -static-l=
ibstdc++ -static-libgcc  -o cc1plus \
      cp/cp-lang.o c-family/stub-objc.o cp/call.o cp/decl.o cp/expr.o cp/pt=
.o cp/typeck2.o cp/class.o cp/decl2.o cp/error.o cp/lex.o cp/parser.o cp/pt=
ree.o cp/rtti.o cp/typeck.o cp/cvt.o cp/except.o cp/friend.o=20
cp/init.o cp/method.o cp/search.o cp/semantics.o cp/tree.o cp/repo.o cp/dum=
p.o cp/optimize.o cp/mangle.o cp/cp-objcp-common.o cp/name-lookup.o cp/cxx-=
pretty-print.o cp/cp-cilkplus.o cp/cp-gimplify.o cp/cp-array-notation.o cp/=
lambda.o cp/vtable-class-hierarchy.o cp/constexpr.o cp/cp-ubsan.o attribs.o=
 incpath.o c-family/c-common.o c-family/c-cppbuiltin.o c-family/c-dump.o c-=
family/c-format.o c-family/c-gimplify.o c-family/c-lex.o c-family/c-omp.o c=
-family/c-opts.o c-family/c-pch.o c-family/c-ppoutput.o c-family/c-pragma.o=
 c-family/c-pretty-print.o c-family/c-semantics.o c-family/c-ada-spec.o c-f=
amily/c-cilkplus.o c-family/array-notation-common.o c-family/cilk.o c-famil=
y/c-ubsan.o i386-c.o glibc-c.o cc1plus-checksum.o libbackend.a main.o tree-=
browser.o libcommon-target.a libcommon.a ../libcpp/libcpp.a ../libdecnumber=
/libdecnumber.a libcommon.a ../libcpp/libcpp.a   ../libbacktrace/.libs/libb=
acktrace.a ../libiberty/libiberty.a ../libdecnumber/libdecnumber.a  -lisl -=
lmpc -lmpfr -lgmp -rdynamic -ldl  -lz
echo | /tmp/guix-build-gcc-cross-sans-libc-x86_64-unknown-linux-gnu-5.5.0.d=
rv-0/build/./gcc/xgcc -B/tmp/guix-build-gcc-cross-sans-libc-x86_64-unknown-=
linux-gnu-5.5.0.drv-0/build/./gcc/ -E -dM - | \
  sed -n -e 's/^#define \([^_][a-zA-Z0-9_]*\).*/\1/p' \
         -e 's/^#define \(_[^_A-Z][a-zA-Z0-9_]*\).*/\1/p' | \
  sort -u > tmp-macro_list
/tmp/guix-build-gcc-cross-sans-libc-x86_64-unknown-linux-gnu-5.5.0.drv-0/bu=
ild/./gcc/cc1: error while loading shared libraries: libisl.so.15: cannot o=
pen shared object file: No such file or directory
/gnu/store/icz3hd36aqpjz5slyp4hhr8wsfbgiml1-bash-minimal-4.4.12/bin/bash ..=
/../gcc-5.5.0/gcc/../move-if-change tmp-macro_list macro_list
echo timestamp > s-macro_list
rm -rf include-fixed; mkdir include-fixed
chmod a+rx include-fixed
if [ -d ../prev-gcc ]; then \
  cd ../prev-gcc && \
  make real-install-headers-tar DESTDIR=3D`pwd`/../gcc/ \
    libsubdir=3D. ; \
else \
  set -e; for ml in `cat fixinc_list`; do \
    sysroot_headers_suffix=3D`echo ${ml} | sed -e 's/;.*$//'`; \
    multi_dir=3D`echo ${ml} | sed -e 's/^[^;]*;//'`; \
    fix_dir=3Dinclude-fixed${multi_dir}; \
    if ! false && test ! -d `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.=
\/,,' -e ta`; then \
      echo The directory that should contain system headers does not exist:=
 >&2 ; \
      echo "  `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`" =
>&2 ; \
      tooldir_sysinc=3D`echo "/gnu/store/7yk3imgyc20dxbq8zn4d61m95d6pyzhr-g=
cc-cross-sans-libc-x86_64-unknown-linux-gnu-5.5.0/lib/gcc/x86_64-unknown-li=
nux-gnu/5.5.0/../../../../x86_64-unknown-linux-gnu/sys-include" | sed -e :a=
 -e "s,[^/]*/\.\.\/,," -e ta`; \
      if test "x`echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`=
" =3D "x${tooldir_sysinc}"; \
      then sleep 1; else exit 1; fi; \
    fi; \
    /gnu/store/icz3hd36aqpjz5slyp4hhr8wsfbgiml1-bash-minimal-4.4.12/bin/bas=
h ../../gcc-5.5.0/gcc/../mkinstalldirs ${fix_dir}; \
    chmod a+rx ${fix_dir} || true; \
    (TARGET_MACHINE=3D'x86_64-unknown-linux-gnu'; srcdir=3D`cd ../../gcc-5.=
5.0/gcc; ${PWDCMD-pwd}`; \
      SHELL=3D'/gnu/store/icz3hd36aqpjz5slyp4hhr8wsfbgiml1-bash-minimal-4.4=
.12/bin/bash'; MACRO_LIST=3D`${PWDCMD-pwd}`/macro_list ; \
      gcc_dir=3D`${PWDCMD-pwd}` ; \
      export TARGET_MACHINE srcdir SHELL MACRO_LIST && \
      cd ../build-x86_64-unknown-linux-gnu/fixincludes && \
      /gnu/store/icz3hd36aqpjz5slyp4hhr8wsfbgiml1-bash-minimal-4.4.12/bin/b=
ash ./fixinc.sh "${gcc_dir}/${fix_dir}" \
        `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`  ); \
    rm -f ${fix_dir}/syslimits.h; \
    if [ -f ${fix_dir}/limits.h ]; then \
      mv ${fix_dir}/limits.h ${fix_dir}/syslimits.h; \
    else \=20=20=20
      cp ../../gcc-5.5.0/gcc/gsyslimits.h ${fix_dir}/syslimits.h; \
    fi; \
    chmod a+r ${fix_dir}/syslimits.h; \
  done; \
fi
The directory that should contain system headers does not exist:
  /usr/include
make[3]: *** [Makefile:2831: stmp-fixinc] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory '/tmp/guix-build-gcc-cross-sans-libc-x86_64-unkn=
own-linux-gnu-5.5.0.drv-0/build/gcc'
make[2]: *** [Makefile:4322: all-stage1-gcc] Error 2
make[2]: Leaving directory '/tmp/guix-build-gcc-cross-sans-libc-x86_64-unkn=
own-linux-gnu-5.5.0.drv-0/build'
make[1]: *** [Makefile:15652: stage1-bubble] Error 2
make[1]: Leaving directory '/tmp/guix-build-gcc-cross-sans-libc-x86_64-unkn=
own-linux-gnu-5.5.0.drv-0/build'
make: *** [Makefile:855: all] Error 2
phase `build' failed after 1398.8 seconds
builder for `/gnu/store/g5h8ch1lk9rgljdgrkykr4mhxibwwkj5-gcc-cross-sans-lib=
c-x86_64-unknown-linux-gnu-5.5.0.drv' failed with exit code 1
@ build-failed /gnu/store/g5h8ch1lk9rgljdgrkykr4mhxibwwkj5-gcc-cross-sans-l=
ibc-x86_64-unknown-linux-gnu-5.5.0.drv - 1 builder for `/gnu/store/g5h8ch1l=
k9rgljdgrkykr4mhxibwwkj5-gcc-cross-sans-libc-x86_64-unknown-linux-gnu-5.5.0=
.drv' failed with exit code 1
=2D-8<---------------cut here---------------end--------------->8---

Earlier in this bug report, on 2017/11/27, I reported that a command
like the following failed ("ERROR: In procedure load-thunk-from-memory:
No such file or directory"), even though using --no-grafts had been
suggested as a work-around:

    /pre-inst-env guix build --no-grafts --target=3Dmips64el-linux-gnu \
        bootstrap-tarballs

By using git bisect, I was able to determine that the commit which
introduced that specific issue was
2acfe022a740f79b593348cc6362cc4ee8f33bb4, which updated
guile-static-stripped to 2.2.

In sum, the original errors are no longer occurring, which is great.
Now we need to fix the remaining problems listed above.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlqOkaUACgkQ3UCaFdgi
Rp2SSBAApQau6oB9GADfFVe9n3N4SzuvgZDvYB9kh8pAn0QIaXXK0uXECu1Q36hM
iRfYaUYgQJU71Bh0gk/homeBjhX1k1cX71XgebYZD7PaNV1CD+6A+3HpSRHgJwaA
PcIPbqr+f4+tIVZ9YmszauN+D3dURJKRDOXnr+wYHpxIOZxJBtZtAKdisGPRycHq
UOW9cTlfkA5bgGnBg4k8TGOqZ1Nvp5TgRr1m/QVaj/K4YTODWEnTGUbWk4cQ289k
T59Eqf0S0c+BRu1+t/kVMQqCyYF0ip6mGAcpoA5rYpJBUmYpZk6uvYQY9ATvuMAQ
AO2hRacJ0s7IWJb3/O+M7cDpmOpMUqzNa6+uTQ+ZvoJUjGS0a9Hnue94ZvZJCKZq
ZMQXJHmMNA+hNyr5Iat1NTndQoFqG0jzBuRrzE7N/UU7I9qrp6sTVT9P1tOQI7CO
1okXePHUaG0cfgBbbJsYSfkxooKYsXfjozlvfs6w8GjGaq/YmYIUbtxBOE1whrLD
MHU+QtFUoxTyw4oZIHmyOPdZkmL9rqYG8dHpwenyv+6cn223L/+EacCcPGBxKl6Z
X0ttnKHaeDf9/ee6NxBSGZtGoksZbvr4BHcnRkaWBqxWXHu1XUywc0rY9nuya/We
vlCCSPeeSJIi0JcyXlWBYIYWDjC6FdipJ98QxIsfft3N4MWkAEU=
=VBYJ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#24841; Package guix. Full text available.

Message received at 24841 <at> debbugs.gnu.org:


Received: (at 24841) by debbugs.gnu.org; 28 Nov 2017 04:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 27 23:31:23 2017
Received: from localhost ([127.0.0.1]:33343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eJXYJ-0006k6-6e
	for submit <at> debbugs.gnu.org; Mon, 27 Nov 2017 23:31:23 -0500
Received: from mail-pl0-f50.google.com ([209.85.160.50]:44299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1eJXYH-0006ju-Jx
 for 24841 <at> debbugs.gnu.org; Mon, 27 Nov 2017 23:31:22 -0500
Received: by mail-pl0-f50.google.com with SMTP id v15so9922432plk.11
 for <24841 <at> debbugs.gnu.org>; Mon, 27 Nov 2017 20:31:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=8fp5ouH1z6BbL2TBaq78/9+3QTnB+oyt2o0yOjbyJ14=;
 b=Pvy6+C255Mm9acr31D0jk4moJEUD/viiFkobCU/G+ZlKBF5z2+ErqhLxXLdmWUPBFN
 VQ7j1UigM6SnrUImmGWtVZtPHiQv0iY/bnMT3Qt+gMMEEQ/8S5iphDiplKmvQtrnt4D1
 Y6SlBV1mifNgOMBvEosuWMsgL4PAK8PG+3z604QuWQHsJ8s5Oks37Bz0J4V1oL7VuhuG
 IXaJAFSLizZrBsaKWAwFaV8kFFLez4GqxkI9tsvgzt1f1ksN/X8WoFBc4n1VDYo65miB
 0Not5bkwvVpW/3ILWrPKmRusnt1tqjxiSKGtZteJTfeQJLglKcR21aVHn/ve8G+yg8NQ
 ANHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=8fp5ouH1z6BbL2TBaq78/9+3QTnB+oyt2o0yOjbyJ14=;
 b=YQdkZBu+CKCwYdn1clKf4J0LbP2wOLJcMdjPqJvbnLgPtCf6BE5WFjEcOdb5Zsmfdl
 eEsIe7cgn7u3Do4JpqZo3X+ENXnA59R5JrqDjblikandkVqQB0yQuRARJQdv4jyjwL9z
 EQzYPFHhtEjBdEufSRiOyroGEGDlP9KZTpVW5m41jLVTHJq+PWx/zyTPpbs4gAKh30ns
 KFLowlf/+qNREdI3EuYfdzVWdmT9m4EzB6thJsygOz8mCRjTMfNNPtKAjLuebZsF8RO/
 IDifKc9l4Q9BoPETxL1uDlxvdMgxPAtNNiS6jPn6sdv76Ilkmn515Qzl7Tyv31j0iGRF
 xmMw==
X-Gm-Message-State: AJaThX7nF+bWGBwFZ/bchQo6e/MuzbJVD+uapDT4I4c8ueYG3m9QxR/6
 l5MPRwqZL3IN7pJfrg9hDlQ=
X-Google-Smtp-Source: AGs4zMbopzZR6hTAe+HqPBPwYezfdoNkB1iGS4t3Wch/T9guBIl2jqGu8wNbgkXU0L1sQkHfpf+d6g==
X-Received: by 10.84.174.129 with SMTP id r1mr41951260plb.337.1511843475547;
 Mon, 27 Nov 2017 20:31:15 -0800 (PST)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id i187sm53934559pfc.96.2017.11.27.20.31.12
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 27 Nov 2017 20:31:13 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
X-Google-Original-From: Chris Marusich <marusich@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#24841: Cross-building bootstrap binaries fail in current
 master
References: <7tmvhzxubh.fsf@HIDDEN> <87eg3bb04s.fsf@HIDDEN>
 <7tvawl7v6e.fsf@HIDDEN> <87k2conpsp.fsf@HIDDEN>
Date: Mon, 27 Nov 2017 20:31:07 -0800
In-Reply-To: <87k2conpsp.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Mon, 31 Oct 2016 22:59:02 +0100")
Message-ID: <874lpfdnxw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24841
Cc: guix-devel@HIDDEN, 24841 <at> debbugs.gnu.org,
 Carlos =?utf-8?Q?S=C3=A1nchez?= de La Lama <csanchezdll@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

>> For efraim and for myself,
>>
>> guix build --target=3Dmips64el-linux-gnu bootrap-tarballs
>>
>> got broken with commit
>>
>> b9bc6e842066b066ebdf9eaf75d41753598d75b5
>>

This still fails.  The error I see today, using commit
5aa6e0d04a3f9dea06b9d35f04fa709b31e4b343, is the following:

=2D-8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build --substitute-urls=3D'https://mirror.hydra.gnu.o=
rg https://hydra.gnu.org' --target=3Dmips64el-linux-gnu bootstrap-tarballs
@ build-started /gnu/store/ybqid1nca0wjf0mvph82hl8f1dav4ann-make-boot0-4.2.=
1.drv - x86_64-linux /var/log/guix/drvs/yb//qid1nca0wjf0mvph82hl8f1dav4ann-=
make-boot0-4.2.1.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/bdbi6mlyci8d98szqhyzwxbb2pd6=
kw9w-gcc-cross-x86_64-linux-5.4.0/bin:/gnu/store/pdl320cy7axlq8ry87jqid7m0s=
gnm56n-binutils-cross-x86_64-linux-2.28/bin'
environment variable `CROSS_LIBRARY_PATH' set to `/gnu/store/jb6xbkm6jchhbp=
9l9nm05qnn3jzlnczl-glibc-bootstrap-0/lib:/gnu/store/inwi6s9x140rv8qhn7z3cpl=
2sj8in4vq-gcc-bootstrap-0/lib:/gnu/store/n47km143d64pbl8r55w741gpplg62jji-g=
libc-cross-x86_64-linux-2.25/lib'
environment variable `CROSS_C_INCLUDE_PATH' set to `/gnu/store/jb6xbkm6jchh=
bp9l9nm05qnn3jzlnczl-glibc-bootstrap-0/include:/gnu/store/inwi6s9
x140rv8qhn7z3cpl2sj8in4vq-gcc-bootstrap-0/include:/gnu/store/n47km143d64pbl=
8r55w741gpplg62jji-glibc-cross-x86_64-linux-2.25/include:/gnu/store/zm415fv=
9i70ablx8lpz2dmh4iyj7l5hy-linux-libre-headers-cross-x86_64-linux-4.4.47/inc=
lude'
environment variable `CROSS_CPLUS_INCLUDE_PATH' set to `/gnu/store/jb6xbkm6=
jchhbp9l9nm05qnn3jzlnczl-glibc-bootstrap-0/include:/gnu/store/inwi6s9x140rv=
8qhn7z3cpl2sj8in4vq-gcc-bootstrap-0/include:/gnu/store/n47km143d64pbl8r55w7=
41gpplg62jji-glibc-cross-x86_64-linux-2.25/include:/gnu/store/zm415fv9i70ab=
lx8lpz2dmh4iyj7l5hy-linux-libre-headers-cross-x86_64-linux-4.4.47/include'
environment variable `CROSS_OBJC_INCLUDE_PATH' set to `/gnu/store/jb6xbkm6j=
chhbp9l9nm05qnn3jzlnczl-glibc-bootstrap-0/include:/gnu/store/inwi6s9x140rv8=
qhn7z3cpl2sj8in4vq-gcc-bootstrap-0/include:/gnu/store/n47km143d64pbl8r55w74=
1gpplg62jji-glibc-cross-x86_64-linux-2.25/include:/gnu/store/zm415fv9i70abl=
x8lpz2dmh4iyj7l5hy-linux-libre-headers-cross-x86_64-linux-4.4.47/include'
environment variable `CROSS_OBJCPLUS_INCLUDE_PATH' set to `/gnu/store/jb6xb=
km6jchhbp9l9nm05qnn3jzlnczl-glibc-bootstrap-0/include:/gnu/store/inwi6s9x14=
0rv8qhn7z3cpl2sj8in4vq-gcc-bootstrap-0/include:/gnu/store/n47km143d64pbl8r5=
5w741gpplg62jji-glibc-cross-x86_64-linux-2.25/include:/gnu/store/zm415fv9i7=
0ablx8lpz2dmh4iyj7l5hy-linux-libre-headers-cross-x86_64-linux-4.4.47/includ=
e'
environment variable `GUIX_LOCPATH' unset
environment variable `CPATH' set to `/gnu/store/bdbi6mlyci8d98szqhyzwxbb2pd=
6kw9w-gcc-cross-x86_64-linux-5.4.0/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/bdbi6mlyci8d98szqhyz=
wxbb2pd6kw9w-gcc-cross-x86_64-linux-5.4.0/lib'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
warning: failed to install 'en_US.utf8' locale: Invalid argument
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
In execvp of tar: No such file or directory
phase `unpack' failed after 0.0 seconds
builder for `/gnu/store/ybqid1nca0wjf0mvph82hl8f1dav4ann-make-boot0-4.2.1.d=
rv' failed with exit code 1
@ build-failed /gnu/store/ybqid1nca0wjf0mvph82hl8f1dav4ann-make-boot0-4.2.1=
.drv - 1 builder for `/gnu/store/ybqid1nca0wjf0mvph82hl8f1dav4ann-make-boot=
0-4.2.1.drv' failed with exit code 1
cannot build derivation `/gnu/store/bb8hq0px9ij03nmls8a0j2ak248f9lyx-file-b=
oot0-5.30.drv': 1 dependencies couldn't be built
guix build: error: build failed: build of `/gnu/store/bb8hq0px9ij03nmls8a0j=
2ak248f9lyx-file-boot0-5.30.drv' failed
=2D-8<---------------cut here---------------end--------------->8---

>> Probably building with --no-grafts is a suitable work-around, or
>> cross-building expat beforehand (thus I won't need grafting) but I am
>> leaving my store untoched for a while to be able to produce a proper
>> fix.
>
> Yeah, I=E2=80=99d suggest using --no-grafts until this is fixed.

Are you sure this work-around works?  When I add --no-grafts, I get the
following error:

=2D-8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build --substitute-urls=3D'https://mirror.hydra.gnu.o=
rg https://hydra.gnu.org' --no-grafts --target=3Dmips64el-linux-gnu bootstr=
ap-tarballs
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org=
'... 100.0%
substitute: updating list of substitutes from 'https://hydra.gnu.org'... 10=
0.0%
The following derivations will be built:
   /gnu/store/x9wixafhlhrwaimp5dyf4g3m4b900h9y-bootstrap-tarballs-0.drv
   /gnu/store/hi7magp0zhkrd7fy25vwv2skl2x3j2lv-guile-static-2.2.2.drv
   /gnu/store/yil4gm5maipjf1yb5fw9gy8l2hy975mr-guile-static-stripped-2.2.2.=
drv
   /gnu/store/qb3s4zi7j22s8awrlck1872myivxr1rg-guile-static-stripped-tarbal=
l-2.2.2.drv
237.1 MB will be downloaded:
   /gnu/store/3fkfgpw2px7dshl2rfjbng6ddsyr6k4f-linux-libre-headers-cross-mi=
ps64el-linux-gnu-4.4.47
   /gnu/store/3ymkvl8nmk80w05vv77y45mf4nv4qa1j-gmp-6.1.2
   /gnu/store/pbrwkg2lzscphkyjxzdphr63bqcm20r8-glibc-cross-mips64el-linux-g=
nu-2.25
   /gnu/store/wxyf3y3bsrw77fi6r0505hwlzmanyj26-gcc-cross-mips64el-linux-gnu=
-5.4.0
   /gnu/store/9fnprlh8fwnfyjnmp3n6ybx58mwy8260-readline-7.0
   /gnu/store/4kjvw1mfg8300vgxx97x0vvarjb0yzss-ncurses-6.0
   /gnu/store/bx9qvznmzq39h8gb1zv4c28kdnkbd8ls-pkg-config-mips64el-linux-gn=
u-0.29.2
   /gnu/store/pp3w43w92a8kbnaj87zfc53bwsr7vsz4-binutils-cross-mips64el-linu=
x-gnu-2.28
   /gnu/store/bymc1f0i3wkhhwwf20ffp6i1gmxq892a-libltdl-2.4.6
   /gnu/store/smfrwm4qfj77l6ynq9d7awyjjqwas648-guile-static-2.2.2
   /gnu/store/h3nyn8p99b9m9y353prn497zpvw4z2jr-gcc-cross-mips64el-linux-gnu=
-5.4.0
   /gnu/store/5mr2hikzw7bp7h1q4xabqbjqqx558hn5-glibc-cross-mips64el-linux-g=
nu-2.25
   /gnu/store/04kqafjrc2raiq7dzdkbpm31i5awrmqw-libffi-3.2.1
   /gnu/store/31pi2pm80mm2w03hy3cbg7xc6adqjsvm-libgc-7.6.0
   /gnu/store/mzcz5clxs7kiqrz7570wvj8gd6zj4wc9-bash-minimal-4.4.12
   /gnu/store/n2ha7xz4690mm7n5zjr8fg46va56ny9f-libunistring-0.9.7
   /gnu/store/l5wwzf579w7p2xgvymqxrwjcg6h9r4jr-linux-libre-headers-cross-mi=
ps64el-linux-gnu-4.4.47
   /gnu/store/jinmblfjidfxlgdljpnx9dgbb0pwc6gf-binutils-static-stripped-tar=
ball-2.28
   /gnu/store/hrn7px45c3frag4djmqf3ykknybwcrjz-linux-libre-headers-4.4.47
   /gnu/store/35ik0amrcfjg3fql64v3ylr1yyqj9d63-gcc-stripped-tarball-5.4.0
   /gnu/store/wvyqv1jazydcglfnqq8v7nxjwn8cf1f1-glibc-stripped-tarball-2.25
   /gnu/store/ip0k6kiams7sj4l2q6zlv3ih6mjf539s-static-binaries-tarball-0
   /gnu/store/5sdf53qnqwdsvnvk6vg01yiz9wxjx082-glibc-cross-mips64el-linux-g=
nu-2.25
   /gnu/store/0qsh7cxkmpbdmmc48ks6ba4i3c28gncx-gcc-cross-sans-libc-mips64el=
-linux-gnu-5.4.0
   /gnu/store/xnj1538h60rh679v05847g0bkwlj8x9a-ld-wrapper-mips64el-linux-gn=
u-0
   /gnu/store/kqic8p5d41k2m9a2la5ljx8h7f8rgd4z-libffi-3.2.1
   /gnu/store/2ks7gskdfc3yk493kga79z0ik2kvw3n5-libatomic-ops-7.4.4
@ substituter-started /gnu/store/jinmblfjidfxlgdljpnx9dgbb0pwc6gf-binutils-=
static-stripped-tarball-2.28 /gnu/store/d0xkr3d3zyqrnsh31vp0qdavp3anh6ml-gu=
ix-0.13.0-10.0b4c385/libexec/guix/substitute
...
@ build-started /gnu/store/hi7magp0zhkrd7fy25vwv2skl2x3j2lv-guile-static-2.=
2.2.drv - x86_64-linux /var/log/guix/drvs/hi//7magp0zhkrd7fy25vwv2skl2x3j2l=
v-guile-static-2.2.2.drv.bz2
...
wrote `web/http.go'
  GUILEC web/uri.go
wrote `web/server/http.go'
  GUILEC language/elisp/boot.go
Backtrace:
In srfi/srfi-1.scm:
    640:9 19 (for-each #<procedure cc8a00 at scripts/compile.scm:24?> ?)
In scripts/compile.scm:
   251:26 18 (_ _)
In system/base/target.scm:
     57:6 17 (with-target _ _)
In system/base/compile.scm:
   139:28 16 (compile-file "language/elisp/boot.el" #:output-file _ # ?)
In system/base/language.scm:
   110:30 15 (default-environment _)
    62:11 14 (lookup-language elisp)
In ice-9/boot-9.scm:
  2718:10 13 (_ (language elisp spec) _ _ #:ensure _)
  2986:16 12 (try-module-autoload _ _)
   2316:4 11 (save-module-excursion _)
  3006:22 10 (_)
In unknown file:
           9 (primitive-load-path "language/elisp/spec" #<procedure ?>)
In system/base/compile.scm:
    165:4  8 (compile-and-load _ #:from _ #:to _ #:env _ #:opts _ # _)
   235:18  7 (read-and-compile #<input: language/elisp/boot.el 13> # ?)
   183:32  6 (compile-fold (#<procedure compile-tree-il (expr env ?>) ?)
In language/elisp/compile-tree-il.scm:
    805:5  5 (compile-tree-il (defmacro @ (module symbol) (#{`}# ?)) ?)
   705:11  4 (_ _ _)
In system/base/compile.scm:
    255:6  3 (compile _ #:from _ #:to _ #:env _ #:opts _)
   183:32  2 (compile-fold _ #<tree-il (seq (call (@ (language elis?> ?)
In language/bytecode/spec.scm:
    28:15  1 (bytecode->value #vu8(127 69 76 70 1 1 1 255 0 0 0 0 ?) ?)
In unknown file:
           0 (load-thunk-from-memory #vu8(127 69 76 70 1 1 1 255 0 ?))

ERROR: In procedure load-thunk-from-memory:
ERROR: In procedure load-thunk-from-memory: No such file or directory
make[2]: *** [Makefile:2266: language/elisp/boot.go] Error 1
make[2]: *** Waiting for unfinished jobs....
wrote `web/uri.go'
make[2]: Leaving directory '/tmp/guix-build-guile-static-2.2.2.drv-0/guile-=
2.2.2/module'
make[1]: *** [Makefile:1857: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-guile-static-2.2.2.drv-0/guile-=
2.2.2'
make: *** [Makefile:1743: all] Error 2
phase `build' failed after 732.1 seconds
builder for `/gnu/store/hi7magp0zhkrd7fy25vwv2skl2x3j2lv-guile-static-2.2.2=
.drv' failed with exit code 1
@ build-failed /gnu/store/hi7magp0zhkrd7fy25vwv2skl2x3j2lv-guile-static-2.2=
.2.drv - 1 builder for `/gnu/store/hi7magp0zhkrd7fy25vwv2skl2x3j2lv-guile-s=
tatic-2.2.2.drv' failed with exit code 1
cannot build derivation `/gnu/store/yil4gm5maipjf1yb5fw9gy8l2hy975mr-guile-=
static-stripped-2.2.2.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/qb3s4zi7j22s8awrlck1872myivxr1rg-guile-=
static-stripped-tarball-2.2.2.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/x9wixafhlhrwaimp5dyf4g3m4b900h9y-bootst=
rap-tarballs-0.drv': 1 dependencies couldn't be built
guix build: error: build failed: build of `/gnu/store/x9wixafhlhrwaimp5dyf4=
g3m4b900h9y-bootstrap-tarballs-0.drv' failed

=2D-8<---------------cut here---------------end--------------->8---

Does the --no-grafts workaround actually work?

Or, is it that the work-around works, but for some other reason
guile-static-2.2.2 fails to cross-build on an x86_64-linux Guix system
for the mips64el-linux-gnu target?

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAloc5owACgkQ3UCaFdgi
Rp1WFxAAgAfYTT8AGsw2sKmYz1LW6+ZSFOEbmGe6bZYqzqMXyt11iw5faJECLTpY
q5SqTgnVb8TKTN71jBOU8ONqbjK1Wn2WVZFymtOWK8tkE8YDCEnOl4njpG1b7Xp4
C1k2n3GJOSQd8ghk+Nc+eBaQSilOXgosbWkahIxgtwjtRcAJyIAfT670KnImIv28
67vo2lkkPsMtZglGFA7Vg7SpSk2S47gaAbdaFAf+OVaF2qaSBAQC5ktYZ0nlQSyh
aPzjapPZ2LVJ6UqZ9UHPf+qnpLW2ZLHtdjyb1gN0oYLRF+dLm3VsagCRTyNduviu
0DY/d84YyZ3qaFxXaDxXdYbfldDCkzEhoATlMBqvqXuc+rKpMVcVXLi1e1uynRU6
jZxt12vwjdLgfQRcg63m3ubRmOUEUOfC9IUP2w/OF1mm2Vnywk2Wz6r3B9fPRziE
1J5OqOz5z8KPUqaJRU6Kk31M+nKTbbLxVAlAzHDQKpVbOBkOVMBysAhfy4ZY6H3c
YW4Eq6jNmmXZdMdCAdabdpIJnxMdAabOmu8zlXh8Ag4UtkAVkbiEcpbJTc90W+32
hrSI3WqKOxBqXCryTN8ZzzR0ZVxZZoKt2v6H9f7gjSjMABMjW564pK3oAM/vbTyE
nkFAUbXbD1PhlMpnabtP2QYdvOBDQYUb8pjnwMPYLYGONWnL9l8=
=kbFN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#24841; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Oct 2016 21:59:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 17:59:18 2016
Received: from localhost ([127.0.0.1]:38367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1Kbu-0002Kb-4T
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 17:59:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1c1Kbs-0002KK-HN
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 17:59:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1c1Kbm-0000ND-8h
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 17:59:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50590)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1c1Kbm-0000My-5b
 for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 17:59:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44549)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1c1Kbk-0005uZ-Lt
 for bug-guix@HIDDEN; Mon, 31 Oct 2016 17:59:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1c1Kbh-0000Km-JC
 for bug-guix@HIDDEN; Mon, 31 Oct 2016 17:59:08 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54983)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1c1Kbh-0000Kf-FQ; Mon, 31 Oct 2016 17:59:05 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:50956 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1c1Kbg-0002oU-Pk; Mon, 31 Oct 2016 17:59:05 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: csanchezdll@HIDDEN (Carlos =?utf-8?Q?S=C3=A1nchez?= de La Lama)
Subject: Re: Cross-building bootstrap binaries fail in current master
References: <7tmvhzxubh.fsf@HIDDEN> <87eg3bb04s.fsf@HIDDEN>
 <7tvawl7v6e.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 10 Brumaire an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Mon, 31 Oct 2016 22:59:02 +0100
In-Reply-To: <7tvawl7v6e.fsf@HIDDEN> ("Carlos =?utf-8?Q?S=C3=A1nchez?= de
 La Lama"'s message of "Fri, 21 Oct 2016 14:17:45 +0200")
Message-ID: <87k2conpsp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -7.7 (-------)
X-Debbugs-Envelope-To: submit
Cc: guix-devel@HIDDEN, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

Hi Carlos,

csanchezdll@HIDDEN (Carlos S=C3=A1nchez de La Lama) skribis:

>> Regardless, cross-building =E2=80=98bootstrap-tarballs=E2=80=99 to one o=
f the supported
>> target triplets works on master:
>>
>> --8<---------------cut here---------------start------------->8---
>> $ ./pre-inst-env guix build bootstrap-tarballs --target=3Dmips64el-linux=
-gnu -n
>> substitute: updating list of substitutes from 'https://mirror.hydra.gnu.=
org'... 100.0%
>> The following files would be downloaded:
>>    /gnu/store/lwn9v9jhsllffpc3d4kii8bldw4hfppa-bootstrap-tarballs-0
>>    /gnu/store/6cm18hfwbp8c1mf6wha28f0b0axlcm8k-guile-static-stripped-tar=
ball-2.0.11
>>    /gnu/store/f790i196x1ms2ym13pvbazldzicqv4k9-glibc-stripped-tarball-2.=
23
>>    /gnu/store/jj007dw6gc31hnn1qq3yz7rz1ai1z0fa-gcc-stripped-tarball-4.9.3
>>    /gnu/store/niqxni4hhjr2wvlabn92z1asqb7xcnsx-static-binaries-tarball-0
>>    /gnu/store/pskf0y5q3j5a3k30c0czd2xymwp4224i-binutils-static-stripped-=
tarball-2.25.1
>> $ git describe
>> v0.11.0-1764-g3ad7dce
>> --8<---------------cut here---------------end--------------->8---
>>
>> See:
>>
>>   https://hydra.gnu.org/job/gnu/master/mips64el-linux-gnu.bootstrap-tarb=
alls-0.x86_64-linux
>>   https://hydra.gnu.org/job/gnu/master/mips64el-linux-gnuabi64.bootstrap=
-tarballs-0.x86_64-linux
>
> For efraim and for myself,
>
> guix build --target=3Dmips64el-linux-gnu bootrap-tarballs
>
> got broken with commit
>
> b9bc6e842066b066ebdf9eaf75d41753598d75b5
>
> After some digging, I think I have found the root cause. That commit
> introduces a (otherwise fine) replacement for expat, but this triggers a
> problem:
>
> After package-cross-derivation has (sucesfully) cross-built the
> un-grafted bootstrap-tarballs derivation, it tries to resolve grafts,
> using (bag-grafts), which does:
>
>   (define target-grafts
>     (if target
>         (let ((->graft (input-cross-graft store target system)))
>           (fold-bag-dependencies (lambda (package grafts)
>                                    (match (->graft package)
>                                      (#f    grafts)
>                                      (graft (cons graft grafts))))
>                                  '()
>                                  bag
>                                  #:native? #f))
>
> Now, (fold-bag-dependencies) goes trhough *all* the dependencies, down to
> make-boot0. The replacement in expat causes this loop to apply
> (package-cross-derivation) to them, including those which are not
> cross-compilable, at which point building fails (make-boot0).

Indeed, looks like a genuine bug. Cc=E2=80=99ing bug-guix so we can keep tr=
ack
of it.

> Probably building with --no-grafts is a suitable work-around, or
> cross-building expat beforehand (thus I won't need grafting) but I am
> leaving my store untoched for a while to be able to produce a proper
> fix.

Yeah, I=E2=80=99d suggest using --no-grafts until this is fixed.

Thanks,
Ludo=E2=80=99.




Acknowledgement sent to ludo@HIDDEN (Ludovic Courtès):
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#24841; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Feb 2018 23:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.